import { Dict } from '../types/Dict';
import { $Element } from '../types/interface/async/$Element';
import { Component } from './component';
import { IOElement } from './IOElement';
import { Listener } from './Listener';
export declare class Element<E extends IOElement = any, P extends Dict<any> = Dict<any>, U extends $Element = $Element> extends Component<E, P, U> {
    private _element_unlisten;
    $preventLoad: boolean;
    $input: Dict<string[]>;
    onConnected($unit: $Element): void;
    onDisconnected(): void;
    set(name: string, data: any): void;
    click(): void;
}
export declare function makeEventListener(event: string, callback: (data: any) => void): Listener;
